## dput 1.1.3

=== debian/changelog ===
dput (1.1.3) unstable; urgency=medium

  * The “Makoto Okamura” release.
  * Ignore positional command-line arguments when options specify action.
    Closes: bug#1014182. Thanks to Ben Hutchings for the report.
  * Correct spelling of ‘--maintaineraddress’ in ‘dcut(1)’ man page.
  * Correct Bash command completion for maintainer email address.
  * Correct Bash command completion for host names.
  * Open text files using explicit UTF-8 encoding.
    Closes: bug#876671. Thanks to Nicholas D Steeves for the report.
    Closes: bug#905914. Thanks to Harald Dunkel for the report.
    Closes: bug#911500. Thanks to Dima Kogan for the report.

 -- Ben Finney <bignose@debian.org>  Thu, 08 Dec 2022 16:11:11 +1100

=== debian/control ===
Source: dput
Section: devel
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Build-Depends-Indep:
    python3-testtools,
    python3-testscenarios,
    python3-debian,
    python3-gpg,
    python3-setuptools,
    python3-xdg,
    python3 (>= 3.4),
    bash-completion,
    dh-python
Build-Depends:
    debhelper-compat (= 13)
Standards-Version: 4.6.1
VCS-Git: https://salsa.debian.org/debian/dput.git
VCS-Browser: https://salsa.debian.org/debian/dput/
Homepage: https://packages.debian.org/source/sid/dput
Rules-Requires-Root: no

Package: dput
Architecture: all
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${misc:Depends}
Suggests: openssh-client, lintian, mini-dinstall, rsync
Description: Debian package upload tool
 DPut is the Debian Package Upload Tool. The ‘dput’ command uploads one or more
 packages to the Debian archive.
 .
 This package also includes the ‘dcut’ command, which can generate and / or
 upload a commands file for the Debian FTP archive upload queue.
 .
 ‘dput’ runs some tests to verify that the package is compliant with Debian
 Policy. It can also run Lintian on the package before upload, and/or run
 ‘dinstall’ in dry-run-mode, when using an appropriate upload method.
 .
 DPut is intended mainly for Debian maintainers, although it can also be useful
 for people maintaining local APT repositories.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of Debian ‘dput’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

PACKAGE_NAME = dput

export LC_ALL := C.UTF-8
export PYTHONIOENCODING := utf-8

package_share_dir = /usr/share/${PACKAGE_NAME}
export PYBUILD_INSTALL_ARGS ?= \
	--install-lib=${package_share_dir}/ \
	--install-scripts=${package_share_dir}/


%:
	dh $@ --with=bash-completion,python3 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	make clean

override_dh_installman:
	dh_installman --language=C


# Copyright © 2015–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.

Test-Command:
    dput --version
Restrictions: superficial
Depends:
    dput

Test-Command:
    dcut --version
Restrictions: superficial
Depends:
    dput


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

## dput 1.1.3ubuntu2

=== debian/changelog ===
dput (1.1.3ubuntu2) lunar; urgency=medium

  * Make versions with Ubuntu suffixes compliant with PEP 440.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Feb 2023 15:38:56 -0600

dput (1.1.3ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Feb 2023 14:51:22 -0600

## dput 1.1.3ubuntu2.1

=== debian/changelog ===
dput (1.1.3ubuntu2.1) lunar; urgency=medium

  * Make PEP 440 version conversion more robust for SRUs (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 01 Jul 2023 01:49:41 +0200

## dput 1.1.3ubuntu3

=== Makefile ===
#! /usr/bin/make -f
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Makefile for this code base.

PYTHON ?= /usr/bin/python3
PYTHON_OPTS ?= -bb

PY_MODULE_SUFFIX = .py
PY_MODULE_BYTECODE_SUFFIX = .pyc
package_modules = $(shell find ${CURDIR}/dput/ -name '*${PY_MODULE_SUFFIX}')
python_modules = $(shell find ${CURDIR}/ -name '*${PY_MODULE_SUFFIX}')

GENERATED_FILES :=
GENERATED_FILES += $(patsubst \
	%${PY_MODULE_SUFFIX},%${PY_MODULE_BYTECODE_SUFFIX}, \
	${python_modules})
GENERATED_FILES += ${CURDIR}/*.egg-info
GENERATED_FILES += ${CURDIR}/build ${CURDIR}/dist

DOC_DIR = doc
MANPAGE_GLOB = *.[1-8]
MANPAGE_DIR = ${DOC_DIR}/man
manpage_paths = $(wildcard ${MANPAGE_DIR}/${MANPAGE_GLOB})


.PHONY: all
all:


.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}


.PHONY: tags
tags: TAGS

GENERATED_FILES += TAGS

TAGS: ${python_modules}
	etags --output "$@" --lang=python ${python_modules}


include test.mk
include stylecheck.mk


# Copyright © 2015–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/changelog ===
dput (1.1.3ubuntu3) mantic; urgency=medium

  * Make PEP 440 version conversion more robust for SRUs (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Jun 2023 16:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -26,6 +27,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
+Recommends: python3-paramiko
 Suggests: openssh-client, lintian, mini-dinstall, rsync
 Description: Debian package upload tool
  DPut is the Debian Package Upload Tool. The ‘dput’ command uploads one or more

## dput 1.2.1ubuntu2

=== debian/changelog ===
dput (1.2.1ubuntu2) oracular; urgency=medium

  * Fix uploads with SFTP.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Jun 2024 13:05:54 -0500

dput (1.2.1ubuntu1) oracular; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.
    - Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Jun 2024 12:03:45 -0500

dput (1.2.1) unstable; urgency=medium

  * Allow configuration value "", representing “no delayed days”.
    Closes: bug#1072857. Thanks to Martin-Éric Racine for the report.
  * Correct data type of a function argument.
    Closes: bug#1073040. Thanks to Christoph Berg for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 17 Jun 2024 08:44:37 +1000

dput (1.2) unstable; urgency=medium

  * The “Lassana Bathily” release.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.9.2.16.

  [ Christoph Berg ]
  * Drop message about problematic multiple orig uploads.
    Closes: bug#706607. Thanks to Raphaël Hertzog and Christoph Berg for
    the report and rationale.

  [ Ben Finney ]
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes required.
  * Emit more-informative message when upload log matches current request.
    Closes: bug#941784. Thanks to Wolfgang Silbermayr for the report.
  * Refine pattern for matching version string, to conform to Policy.
    Thanks to Christoph Berg for the explanation.
  * Remove an ancient warning for a change completed prior to 2009.

 -- Ben Finney <bignose@debian.org>  Thu, 06 Jun 2024 12:02:00 +1000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
     dh-python
 Build-Depends:
     debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 VCS-Git: https://salsa.debian.org/debian/dput.git
 VCS-Browser: https://salsa.debian.org/debian/dput/
 Homepage: https://packages.debian.org/source/sid/dput

## dput 1.2.2

=== debian/changelog ===
dput (1.2.2) unstable; urgency=medium

  * Some minor internal refactoring.
    No user-visible changes.
  * New release to help package migrate to Debian ‘testing’.

 -- Ben Finney <bignose@debian.org>  Thu, 18 Jul 2024 16:08:29 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -27,7 +26,6 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Recommends: python3-paramiko
 Suggests: openssh-client, lintian, mini-dinstall, rsync
 Description: Debian package upload tool
  DPut is the Debian Package Upload Tool. The ‘dput’ command uploads one or more

## dput 1.2.4

=== debian/changelog ===
dput (1.2.4) unstable; urgency=medium

  * Remove unused “Depends: python3-pkg-resources”.
    Closes: bug#1083374. Thanks to Matthias Klose for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 13:10:33 +1100

dput (1.2.3) unstable; urgency=medium

  [ Jordi Mallach ]

  * doc/man/dcut.1:
    * Correct URL for the “Queue README” in our documentation.
  * dput/dcut.py:
    * Correct “Supported commands” in help output from ‘dcut’ command.
      Closes: bug#1081700.

  [ Ben Finney ]

  * Migrate from obsolete ‘pkg_resources’ to standard ‘importlib.metadata’.
    Closes: bug#1083374. Thanks to Matthias Klose for the report.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 12:34:06 +1100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
+    python3-fake-factory,
     python3-debian,
     python3-gpg,
     python3-setuptools,
     python3-xdg,
-    python3 (>= 3.4),
+    python3,
     bash-completion,
     dh-python
 Build-Depends:
@@ -23,7 +24,6 @@
 Package: dput
 Architecture: all
 Depends:
-    python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
 Suggests: openssh-client, lintian, mini-dinstall, rsync

## dput 1.2.4ubuntu1

=== debian/changelog ===
dput (1.2.4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a Debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting.)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.
    - Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 15:07:15 -0600

## dput 1.2.4ubuntu2

=== debian/changelog ===
dput (1.2.4ubuntu2) plucky; urgency=medium

  * Refresh the SFTP method, and give it a facelift.
  * Set the default upload target to ssh-ubuntu, to encourage use of SFTP over
    FTP.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 14:05:41 -0600

## dput 1.2.4ubuntu3

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 
 
-# Copyright © 2015–2022 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2024 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/changelog ===
dput (1.2.4ubuntu3) questing; urgency=medium

  * setup.py: Drop setup_requires to prevent calls to pip during dh_clean.
    Setup requirement was made redundant by d/control. (LP: #2124945)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 17 Sep 2025 18:50:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -26,6 +27,7 @@
 Depends:
     ${python3:Depends},
     ${misc:Depends}
+Recommends: python3-paramiko
 Suggests: openssh-client, lintian, mini-dinstall, rsync
 Description: Debian package upload tool
  DPut is the Debian Package Upload Tool. The ‘dput’ command uploads one or more

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 
 
-# Copyright © 2015–2022 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2024 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

## dput 1.2.4ubuntu4

=== debian/changelog ===
dput (1.2.4ubuntu4) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:54:02 +0000
